package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 招生计划VO
 * @author 萌
 */
public class SchoolAcceptPlanVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 招生计划id */
    private Long acceptPlanId;

    /** 年份 */
    private String planYear;

    /** 专业分类id */
    private Long majorId;

    /** 专业分类名称 */
    private String majorName;

    /** 专业字符串 */
    private String majorStr;

    /** 选科 */
    private String subjectType;

    /** 招生人数 */
    private Integer acceptNum;

    /** 学费 */
    private BigDecimal schoolPrice;

    /** 计算公式id */
    private Long acceptRuleId;

    /** 投档公式字符串 */
    private String acceptRuleStr;

    /** 批次名称 */
    private String BatchName;

    /** 小分限制 */
    private String littleScoreLimit;

    /** 排序 */
    private Integer sort;

    public String getLittleScoreLimit() {
        return littleScoreLimit;
    }

    public void setLittleScoreLimit(String littleScoreLimit) {
        this.littleScoreLimit = littleScoreLimit;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public String getAcceptRuleStr() {
        return acceptRuleStr;
    }

    public void setAcceptRuleStr(String acceptRuleStr) {
        this.acceptRuleStr = acceptRuleStr;
    }

    public String getMajorStr() {
        return majorStr;
    }

    public void setMajorStr(String majorStr) {
        this.majorStr = majorStr;
    }

    public Long getAcceptPlanId() {
        return acceptPlanId;
    }

    public void setAcceptPlanId(Long acceptPlanId) {
        this.acceptPlanId = acceptPlanId;
    }

    public String getPlanYear() {
        return planYear;
    }

    public void setPlanYear(String planYear) {
        this.planYear = planYear;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public BigDecimal getSchoolPrice() {
        return schoolPrice;
    }

    public void setSchoolPrice(BigDecimal schoolPrice) {
        this.schoolPrice = schoolPrice;
    }



    public String getBatchName() {
        return BatchName;
    }

    public void setBatchName(String batchName) {
        BatchName = batchName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "SchoolAcceptPlanVO{" +
                "acceptPlanId=" + acceptPlanId +
                ", planYear='" + planYear + '\'' +
                ", majorId=" + majorId +
                ", majorName='" + majorName + '\'' +
                ", majorStr='" + majorStr + '\'' +
                ", subjectType='" + subjectType + '\'' +
                ", acceptNum=" + acceptNum +
                ", schoolPrice=" + schoolPrice +
                ", acceptRuleId=" + acceptRuleId +
                ", acceptRuleStr='" + acceptRuleStr + '\'' +
                ", BatchName='" + BatchName + '\'' +
                ", littleScoreLimit='" + littleScoreLimit + '\'' +
                ", sort=" + sort +
                '}';
    }
}
